Bug 214792 - Package Updater shows no progress
Package Updater shows no progress
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2006-11-09 10:32 EST by Andy Bailey
Modified: 2014-01-21 17:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-09 16:14:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andy Bailey 2006-11-09 10:32:56 EST
This bug is really for pup but I assigned it to yum as pup doesnt appear on the

I just downloaded fedora core 6 via bittorrent and when I use package updater
to update the packages the progress bars dont move for extended periods of
time. I have a 384kbps connection so its not the fault of the connection.

I resorted to open wireshark to show the progress.

I think there should be 2 bars one for overall progress, one for progress on the
package or current action. and an icon like firefox when there is network
activity going on. Else a user thats used to windows would think it wasn't

Incidentally if you abort the download it should either let you update the
packages downloaded, let you save them for the next run, or let you remove them.
Comment 1 David Timms 2006-11-16 06:01:41 EST
Andy: what version of yum did you see this with ?

I'm on yum-3.0-6 and seeing a delay between clicking apply packages, and the
beginning of the progress dialog being shown and beginning to progress. This was
about 20 seconds. It appeared that the apply button press was not actioned,
after 15 seconds, I had re-clicked the apply button, and it took 15+ seconds
before displaying the first progress dialog.

It might be that the app is currently allowing the user to click the apply after
already clicking it.
Comment 2 Andy Bailey 2006-11-16 15:31:54 EST
yum --version

I cant remember if I saw the problem you mentioned.

I think what I saw is not the software malfunctioning but just the time taken
for the packets to download.

Pup does work its just that it appears not to!

I just think it would be cool to add an extra progress bar for the progress of
the individual package. It would appear to make it go faster!!!

At first I aborted pup 3 times thinking that it wasnt working, then opened up
wireshark to check that it was actually doing something. (which it was)

pup should be better than "yum update" however at the moment I prefer yum update
as at least you can see its doing something.

Also when it is preparing the transaction it took for ages without any progress
monitor whatever. The only sign of life was the led on the disk drive!

I just think these things confuse an inexperienced user and it would be good to
fix them.
Comment 3 Martin A. Boegelund 2006-12-01 16:03:53 EST
I'm having the same problem with "no progress".
After a fresh install of FC6, I wanted to update, so I started the software
updater. It stopped with a message saying that another application was using the
So I tried yum from a command line. This didn't work either. It said:
Existing lock /var/run/yum.pid: another copy is running. Aborting.

Since I was confident that I didn't run anything else, I deleted /var/run/yum.pid
Both Package updater and yum showed a little more action afterwards, but at a
certain point they just hang - no progress.

This is how far yum gets:
[root@localhost ~]# yum update
Loading "installonlyn" plugin
Setting up Update Process
Setting up repositories
Reading repository metadata in from local files

After that, no progress. My yum version is 3.0
Comment 4 Andy Bailey 2006-12-02 10:33:01 EST
Im not a developer but I thought Id chip in with my opinion as a user.

This is really a different problem, I saw it too. Its due to a service "update
daemon" (I cant remember the exact name) running at boot. Technically its not a
bug as there really was another instance of a program using the same database. 

However, you could say its a bug as no visual information is present displaying
what is happening, for example it would be a lot less confusing if there was a
button in the task bar with an animated image showing that it was downloading
and a text if you hover over it saying "searching for updates". Also there
should be a message in the system log for non grafical users saying "starting
search for updates" although that may already exist I didnt check.

I would agree with Martins in that his problem is a bug from a users standpoint
as it is very confusing - as he says
"Since I was confident that I didn't run anything else, I deleted /var/run/yum.pid"
I imagine that that could cause corruption of the database.

This should be moved to a different bug.
Comment 5 Tim Reilly 2007-02-08 18:01:21 EST
Back to the original bug...

The poor responsiveness of pup has gotten much worse for me in F7-Test1. The
progress bars generally jump straight to 20% and then stall for a very long
time. The Apply Updates button takes over a minute before providing feedback.

This really really really breaks the otherwise smooth "hey you have updates,
want to install them?" thing fedora has going. I disable all of the nice GUI
stuff and just run yum and sit in the stone age because it's less of a hassle...
Comment 6 Jeremy Katz 2007-04-09 16:14:21 EDT
Progress should be better in pirut-1.3.5

Note You need to log in before you can comment on or make changes to this bug.